Skip to main content
GET
/
api-public
/
payments
Listar pagamentos por loja
curl --request GET \
  --url https://public-api-prod.dominipay.com.br/api-public/payments \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "status": "<string>",
      "amount": 123,
      "storeId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "email": "<string>",
      "isPublic": true,
      "feeAmount": 123,
      "liquidValue": 123,
      "observation": "<string>",
      "qrCodeUrl": "<string>",
      "qrCopyPaste": "<string>",
      "webhookUrl": "<string>"
    }
  ],
  "page": 123,
  "limit": 123,
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:50
Required range: 1 <= x <= 200
status
enum<string>
Available options:
pending,
approved,
review,
not_approved,
paid,
withdrawal_processing,
receipt_sent,
rejected

Response

Lista de pagamentos

items
object[]
required
page
integer
required
limit
integer
required
total
integer
required